Skip to main content
GET
/
webhooks
/
{webhookId}
Get Webhook
curl --request GET \
  --url https://app.lettr.com/api/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Webhook retrieved successfully.",
  "data": {
    "id": "webhook-abc123",
    "name": "Order Notifications",
    "url": "https://example.com/webhook",
    "enabled": true,
    "event_types": [
      "message.delivery",
      "message.bounce"
    ],
    "auth_type": "basic",
    "has_auth_credentials": true,
    "last_successful_at": "2024-01-15T10:30:00+00:00",
    "last_failure_at": null,
    "last_status": "success"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lettr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

webhookId
string
required

The webhook ID to retrieve

Example:

"webhook-abc123"

Response

Webhook retrieved successfully

Response containing a single webhook

message
string
required

Human-readable response message

Example:

"Webhook retrieved successfully."

data
object
required

View of a webhook